/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.controller.mobile.json.loan;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@XmlRootElement(name = "authorizeTransferPaymentsDto")
public class AuthorizeTransferPaymentsDto {

    private String idLoan;
    private String strDate;
    private String customerName;
    private String endorsementName;
    private String userName;
    private Double amount;
    private String comments;

    /**
     *
     */
    public AuthorizeTransferPaymentsDto() {
    }

    /**
     *
     * @param idLoan
     * @param strDate
     * @param customerName
     * @param endorsementName
     * @param userName
     * @param amount
     * @param comments
     */
    public AuthorizeTransferPaymentsDto(String idLoan, String strDate, String customerName, String endorsementName, String userName, Double amount, String comments) {
        this.idLoan = idLoan;
        this.strDate = strDate;
        this.customerName = customerName;
        this.endorsementName = endorsementName;
        this.userName = userName;
        this.amount = amount;
        this.comments = comments;
    }

    @XmlElement(name = "idLoan")
    public String getIdLoan() {
        return idLoan;
    }

    public void setIdLoan(String idLoan) {
        this.idLoan = idLoan;
    }

    @XmlElement(name = "strDate")
    public String getStrDate() {
        return strDate;
    }

    public void setStrDate(String strDate) {
        this.strDate = strDate;
    }

    @XmlElement(name = "customerName")
    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    @XmlElement(name = "endorsementName")
    public String getEndorsementName() {
        return endorsementName;
    }

    public void setEndorsementName(String endorsementName) {
        this.endorsementName = endorsementName;
    }

    @XmlElement(name = "userName")
    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @XmlElement(name = "amount")
    public Double getAmount() {
        return amount;
    }

    public void setAmount(Double amount) {
        this.amount = amount;
    }

    @XmlElement(name = "comments")
    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

}
